POST /v2/api/mappingtables/{mappingField}

Creates or fully replaces the mapping values for the given field.

Path parameters

  • mappingField string Required

    Mapping field name

application/json

Body Required

Full set of mapping values (key -> value)

  • mappingType string Required
  • mappingValues object Required

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • mappingField string
    • mappingType string
    • mappingValues object
  • 400 application/json

    Bad request

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
POST /v2/api/mappingtables/{mappingField}
curl \
 --request POST 'https://api.maddenanalytics.com/v2/api/mappingtables/{mappingField}' \
 --header "Content-Type: application/json" \
 --data '{"mappingType":"string","mappingValues":{}}'
Request examples
{
  "mappingType": "string",
  "mappingValues": {}
}
Response examples (200)
{
  "mappingField": "color",
  "mappingType": "products",
  "mappingValues": {}
}
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}